<script>
	import {
		onBackPress
	} from "@dcloudio/uni-app"
	import cacheManager from "@/utils/cacheManager.js";
	import {
		useIsCanBack
	} from "@/store/isCanBack.js";
	export default {

		// creat by wgy 0619  生命周期 钩子  
		onLaunch: function() {
			// #ifdef APP-PLUS
			if (cacheManager.get('auth')) {
				uni.reLaunch({
					url: `/pages/admin/ShouYe/shouye`,
					success() {
						plus.navigator.closeSplashscreen();
					}
				})
			} else {
				cacheManager.clearAll()
				uni.reLaunch({
					url: '/pages/Login/index',
					success() {
						plus.navigator.closeSplashscreen();
					}
				});
			}
			// #endif
		},
		onShow: function() {

			// #ifdef APP-PLUS
			const webview = plus.webview.currentWebview();
			plus.key.addEventListener('backbutton', () => {
				const store = useIsCanBack();
				if (!store.isCanBack) {
					event.preventDefault();
					return false
				} else {
					return true
				}
			});
			// #endif
		},
		onHide: function() {


		}
	}
</script>

<style lang="scss">
	/* 公共样式 */
	@import '/common/styles/index.scss';

	// 西文、雅黑、黑体、宋体
	body,
	html,
	#app {
		font-family: "Helvetica Neue", "Microsoft YaHei", "SimHei", "SimSun", "Arial", sans-serif;
		margin: 0;
		padding: 0;
		box-sizing: border-box;
	}
</style>